/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "drawscene.h"
#include "display/scene.h"
#include "assert/assert.h"
#include "drawoverworld.h"

void drawScene(void) {
  switch(SCENE_CURRENT){ 
    case SCENE_INITIAL:
      break;
      
    case SCENE_OVERWORLD:
      drawOverworldDraw();
      break;

    default:
      assertUnreachable("Unknown scene in drawScene");
  }
}